FAQ: Can’t connect to the ADSP-BF592 or ADSP-BF506F EZ-KITs after upgrading to CCES 1.1.0

Document created by DavidS on Jun 11, 2014Last modified by ErinH on Sep 14, 2016
Version 2Show Document
  • View in full screen mode

Question:
After upgrading to CrossCore Embedded Studio 1.1.0, I can no longer connect to the ADSP-BF592 or ADSP-BF506F EZ-Kit. What’s changed?

 

---------------------------------

 

Answer:

CCES 1.1.0 introduces a new driver for the ADSP-BF592 and ADSP-BF506F EZ-Kits.

 

When you first connect the above EZ-Kits via USB to the PC after installing CCES 1.1.0, the latest driver (4.0.0.0) will be installed. This will allow you to connect to a CCES 1.1.0 Debug Configuration.

 

Should you then need to use the EZ-Kit with CCES 1.0.x or VisualDSP++, you must follow the procedure below:

 

• Open your machine’s Device Manager
• Double click on the EZ-Kit which should be listed under ‘CrossCore Tools’
• Select the ‘Driver’ tab within the popup window
• Click ‘Update Driver’
• Choose ‘Browse my Computer for Driver Software’
• Select ‘Let me Pick from a List of Device Drivers on my Computer’
• Click on ‘ADSP-BF506F/592 EZ-KIT Lite Version 5.0.x.x [Date]’
• Select Next
• Close the pop up window and Device manager.

 

You should now be able to connect to a session/Debug Configuration in the earlier tools.

 

If you do not carry out the procedure above and try to connect to CCES 1.0.x or VisualDSP++, the following error will be reported:

 

Error: 0x80048047
Error Description: Failed to initialize emulator

Attachments

    Outcomes